package sk.upjs.ics.debilnicek;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.provider.ContactsContract;
import android.provider.ContactsContract.Contacts;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.ListView;

public class MainActivity extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        TaskDao taskDao = new DatabaseTaskDao(this);
        
        ListView listViewTasks = (ListView) findViewById(R.id.tasks);
        
        ArrayAdapter<Task> listViewTasksModel = new ArrayAdapter<Task>(this, android.R.layout.simple_list_item_1, taskDao.listTasks());
        listViewTasks.setAdapter(listViewTasksModel);
        
        Button buttonAddTask = (Button) findViewById(R.id.buttonAddTask);
        buttonAddTask.setOnClickListener(new OnClickListener() {
			public void onClick(View v) {
				Intent intent = new Intent(MainActivity.this, AddTaskActivity.class);
				startActivity(intent);
			}
		});
   
    }
}